# Class HTMLDocument.HTMLReader.CharacterAction

java.lang.Object
javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
javax.swing.text.html.HTMLDocument.HTMLReader.CharacterAction

Enclosing class:
  `HTMLDocument.HTMLReader`

public class HTMLDocument.HTMLReader.CharacterAction extends HTMLDocument.HTMLReader.TagAction
Action assigned by default to handle the Character task of the reader.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterAction()`
  Constructs a `CharacterAction`.

- ## Method Summary

  ### Methods declared in class HTMLDocument.HTMLReader.TagAction

  `end, start`
  Modifier and Type
  Method
  Description
  `void`
  `end(HTML.Tag t)`
  Called when an end tag is seen for the type of tag this action was registered to.
  `void`
  `start(HTML.Tag t, MutableAttributeSet a)`
  Called when a start tag is seen for the type of tag this action was registered to.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### CharacterAction

    public CharacterAction()
    Constructs a `CharacterAction`.